/*
******************************************************************
CSS for responsive

(c) sinntun.codes
******************************************************************
*/


@media only screen and (max-width: 100rem) {
    .header img {
        min-height: unset;
    }

    .header .header-icon {
        height: 10.625rem;
        width: 10.625rem;
        display: flex;
        align-items: center;
    }

    .header .header-icon .icon::before {
        font-size: 8.125rem;
    }

    .header .square {
        height: 10.9375rem;
        width: 10.9375rem;
    }

    .header .square .icon::before {
        font-size: 6.875rem;
    }


}

@media only screen and (max-width: 87.5rem) {
    #main-navigation {
        padding-right: initial;
    }

    .header .square {
        display: none;
    }

    .header .header-icon.mobile {
        display: block;
    }

    .header .scattered-words-1 .words:nth-child(1) {
        top: 45.1%;
        left: 8.9%;
    }

    .header .scattered-words-1 .words:nth-child(2) {
        left: 19.5%;
    }

    .header .scattered-words-1 .words:nth-child(3) {
        top: 73.4%;
    }

    .header .scattered-words-1 .words:nth-child(5) {
        left: 49.4%;
    }

    .header .scattered-words-1 .words:nth-child(6) {
        top: 66.2%;
        left: 58.4%;
    }

    .header .scattered-words-1 .words:nth-child(7) {
        top: 38.6%;
        left: 71.2%;
    }

    .header .scattered-words-2 .words:nth-child(1),
    .header .scattered-words-3 .words:nth-child(1) {
        top: 50%;
        transform: translateY(-50%);
    }

    .header .scattered-words-2 .words:nth-child(2) {
        top: 74%;
    }

    .header .scattered-words-2 .words:nth-child(3) {
        left: 57%;
    }

    .header .scattered-words-2 .words:nth-child(4) {
        top: 66%;
        left: 70.3%;
    }

    .header .scattered-words-2 .words:nth-child(5) {
        display: none;
    }

    .header .scattered-words-5 .words {
        font-size: 2rem;
    }

    .header .scattered-words-5 .words:nth-child(1) {
        left: 24%;
    }

    .header .scattered-words-5 .words:nth-child(2) {
        left: 34.5%;
    }

    .header .scattered-words-5 .words:nth-child(3) {
        left: 42%;
    }

    .header .scattered-words-5 .words:nth-child(4) {
        left: 51.2%;
    }

    .header .scattered-words-5 .words:nth-child(5) {
        left: 65.8%;
    }

    .header .scattered-words-5 .words:nth-child(6) {
        left: 71.6%;
    }

    .header .banner .icon::before {
        font-size: 2.1875rem;
    }

    .header .contact-banner {
        top: 1.25rem;
    }

    .header .search-banner {
        top: 6.875rem;
    }

    .header .scattered-words-4 .words:nth-child(1) {
        font-size: 2.5rem;
    }

    #footer-canvas {
        grid-template-columns: 15.625rem 1fr 1fr;
    }

    #footer-canvas .center-right-column {
        grid-column: initial;
    }

    #footer-canvas .right-column {
        grid-column-end: 4;
    }


}

@media only screen and (max-width: 77.5rem) {
    .nav1-link {
        padding: 1.5625rem 0.9375rem !important;
    }

    #footer-canvas .column-container .column {
        width: calc(50% - 1.25rem);
    }

    #footer-canvas .social-row {
        margin-left: 13.125rem;
    }
}

@media only screen and (max-width: 75rem) {

    .header .header-icon {
        height: 7.5rem;
        width: 7.5rem;
    }

    .header .header-icon .icon::before {
        font-size: 5.9375rem;
    }

    .header .scattered-words-2 .words:nth-child(1),
    .header .scattered-words-3 .words:nth-child(1) {
        font-size: 3.125rem;
        left: 30.8%;
    }

    .header .scattered-words-2 .words:nth-child(2),
    .header .scattered-words-2 .words:nth-child(3),
    .header .scattered-words-2 .words:nth-child(4) {
        display: none;
    }
}

@media only screen and (max-width: 64rem) {

    /*****************************************************************
    *********** Canvases
    ******************************************************************/
    #main-navigation,
    #meta-navigation {
        display: none !important;
    }

    .menu-trigger {
        display: initial;
    }

    #head-container {
        height: 1.875rem;
        margin: 1.5rem auto;
    }

    .header .banner {
        display: none;
    }

    .header .header-icon {
        left: 5rem;
    }

    .header .scattered-words-1 .words {
        font-size: 1.5rem !important;
    }

    .header .scattered-words-1 .words:nth-child(3) {
        left: 25.8%;
    }

    .header .scattered-words-1 .words:nth-child(4) {
        left: 38.8%;
    }

    .header .scattered-words-1 .words:nth-child(5) {
        left: 55.4%;
    }

    .header .scattered-words-1 .words:nth-child(6) {
        left: 62.4%;
    }

    .header .scattered-words-1 .words:nth-child(7) {
        left: 76.2%;
    }


    .header .scattered-words-2 .words:nth-child(1),
    .header .scattered-words-3 .words:nth-child(1) {
        font-size: 2.8125rem;
        left: 14.375rem;
    }

    .header .scattered-words-3 .words:nth-child(1) {
        max-width: 70%;
    }

    .header .scattered-words-4 .words:nth-child(1) {
        left: 5rem;
        font-size: 2.1875rem;
    }

    .header .scattered-words-5 .words {
        font-size: 1.75rem;
    }

    .header .scattered-words-5 .words:nth-child(1) {
        left: 21%;
    }

    .header .scattered-words-5 .words:nth-child(2) {
        left: 30.5%;
    }

    .header .scattered-words-5 .words:nth-child(3) {
        left: 38%;
    }

    .header .scattered-words-5 .words:nth-child(4) {
        left: 47.2%;
    }

    .header .scattered-words-5 .words:nth-child(5) {
        left: 61.8%;
    }

    .header .scattered-words-5 .words:nth-child(6) {
        left: 67.6%;
    }


    .header .scattered-words-6 .words {
        font-size: 1.5rem !important;
    }


    #page-canvas {
        border-bottom: 0.1875rem solid #ff8b00;
    }

    #site_headline {
        font-size: 2rem;
    }

    #footer-canvas .center-right-column,
    #footer-canvas .right-column {
        grid-column: initial;
    }

    #footer-canvas .right-column a {
        display: flex;
        justify-content: center;
    }

    #footer-canvas .right-column a:not(:last-child) {
        margin-right: initial;
    }

    .footer-background-grey .nav-footer {
        justify-content: center !important;
    }

    body > .background {
        display: none;
    }

    #footer-canvas .column-container {
        display: flex;
        padding: 3.125rem 5rem;
    }

    #footer-canvas .social-row {
        margin-left: 5rem;
    }

    .mobile-menu .subnav-nav-trigger {
        top: .5rem !important;
        background: none;
        border: none;
        padding-top: 0.1rem;
    }

    .nav2-mobile-link:focus-visible {
        outline: none;
    }

    .nav2-mobile-link:focus-visible span {
        outline: var(--outline-default);
        outline-offset: var(--outline-offset-default);
    }

    .nav3-mobile-link:focus-visible {
        outline: var(--outline-default);
        outline-offset: var(--outline-offset-default);
    }

    .mobile-menu .subnav-nav-trigger:focus-visible {
        outline: var(--outline-default);
    }
}

@media only screen and (min-width: 64.0625rem) {
    #logo {
        height: 2.5rem;
        padding: 1.25rem 0;
    }
}

@media only screen and (max-width: 50rem) {

    .header .header-icon {
        height: 5rem;
        width: 5rem;
    }

    .header .header-icon .icon::before {
        font-size: 3.875rem;
    }

    .header .scattered-words-1 .words {
        font-size: 1.125rem !important;
    }

    .header .scattered-words-2 .words:nth-child(1),
    .header .scattered-words-3 .words:nth-child(1) {
        font-size: 2.125rem;
        left: 10.9375rem;
    }

    .header .scattered-words-3 .words:nth-child(1) {
        max-width: 65%;
    }

    .header .scattered-words-4 .words:nth-child(1) {
        font-size: 1.875rem;
    }

    .header .scattered-words-5 .words {
        font-size: 1.375rem;
    }

    .header .scattered-words-5 .words:nth-child(1) {
        left: 26%;
        top: 35%;
    }

    .header .scattered-words-5 .words:nth-child(2) {
        left: 32.5%;
        top: 65%;
    }

    .header .scattered-words-5 .words:nth-child(3) {
        left: 37%;
        top: 4%;
    }

    .header .scattered-words-5 .words:nth-child(4) {
        left: 51.2%;
        top: 43%;
    }

    .header .scattered-words-5 .words:nth-child(5) {
        left: 67.8%;
        top: 20%;
    }

    .header .scattered-words-5 .words:nth-child(6) {
        left: 73.6%;
    }

    .header .scattered-words-6 .words {
        font-size: 1.125rem !important;
    }

    #site_headline {
        font-size: 1.625rem;
    }

    #footer-canvas {
        grid-template: initial;
        text-align: center;
    }


    #footer-canvas .column-container .column {
        width: 100%;
        display: flex;
        flex-flow: column;
        align-items: center;
    }

}

@media only screen and (max-width: 40.625rem) {
    #logo {
        display: none;
    }

    #logo-mobile {
        display: block !important;
    }

    .header .scattered-words-4 .words:nth-child(1) {
        font-size: 1.4375rem;
    }

    .header .scattered-words-6 .words:nth-child(1) {
        top: 26%;
        left: 9.8%;
    }

    .header .scattered-words-6 .words:nth-child(2) {
        top: 72%;
        left: 15%;
    }

    .header .scattered-words-6 .words:nth-child(3) {
        top: 3%;
        left: 48%;
    }

    .header .scattered-words-6 .words:nth-child(4) {
        top: 34%;
        left: 68.3%;
    }

    .header .scattered-words-6 .words:nth-child(5) {
        top: 60%;
        left: 57.3%;
    }


}

@media only screen and (max-width: 32.5rem) {
    body {
        hyphens: auto;
    }

    .nav1-additional,
    .nav1-mobile-item,
    .nav2-mobile-link span,
    .nav3-mobile-link span {
        font-size: 1rem !important;
    }

    .nav1-additional,
    .nav1-mobile-item,
    .nav2-mobile-item {
        padding: 0.625rem 2.5rem !important;
    }

    .nav2-mobile,
    .nav3-mobile {
        transform: translateY(0.625rem) !important;
    }

    .subnav-nav-trigger {
        top: 0rem !important;
    }

    .mobile-menu .subnav-nav-trigger {
        top: .25rem !important;
    }

    .header > img {
        min-height: 6.25rem;
    }

    .header .header-icon {
        height: 3.4375rem;
        width: 3.4375rem;
        left: 2.5rem;
    }

    .header .header-icon .icon::before {
        font-size: 2.75rem;
    }


    .header .scattered-words-2 .words:nth-child(1),
    .header .scattered-words-3 .words:nth-child(1) {
        font-size: 1.625rem;
        left: 6.875rem;
    }

    .header .scattered-words-1 .words {
        font-size: 0.875rem !important;
    }

    .header .scattered-words-1 .words:nth-child(1) {
        left: 4.9%;
        top: 38%;
    }

    .header .scattered-words-1 .words:nth-child(2) {
        left: 17.5%;
        top: 11%;
    }

    .header .scattered-words-1 .words:nth-child(3) {
        left: 26.8%;
        top: 69%;
    }

    .header .scattered-words-1 .words:nth-child(4) {
        left: 41.8%;
        top: 45%;
    }

    .header .scattered-words-1 .words:nth-child(5) {
        left: 61.4%;
        top: 12%;
    }

    .header .scattered-words-1 .words:nth-child(6) {
        top: 62.2%;
        left: 65.4%;
    }

    .header .scattered-words-1 .words:nth-child(7) {
        top: 34.6%;
        left: 79.2%;
    }

    .header .scattered-words-4 .words:nth-child(1) {
        font-size: 1.125rem;
        left: 2.5rem;
        max-width: 80%;
    }

    .header .scattered-words-5 .words {
        font-size: 1.25rem;
    }

    .header .scattered-words-5 .words:nth-child(1) {
        left: 20%;
        top: 33%;
    }

    .header .scattered-words-5 .words:nth-child(2) {
        left: 24.5%;
        top: 66%;
    }

    .header .scattered-words-5 .words:nth-child(3) {
        left: 28%;
        top: 3%;
    }

    .header .scattered-words-5 .words:nth-child(4) {
        left: 47.2%;
        top: 45%;
    }

    .header .scattered-words-5 .words:nth-child(5) {
        left: 61.8%;
        top: 14%;
    }

    #site_headline {
        font-size: 1.25rem;
    }

    #footer-canvas .column-container {
        padding: 3.125rem 2.5rem;
    }

    #footer-canvas .social-row {
        margin-left: 2.5rem;
    }
}

@media only screen and (max-width: 26.25rem) {
    #head-container .logo-link .top,
    #head-container .logo-link .bottom {
        display: none;
    }
}

@media only screen and (max-width: 25rem) {
    .header .header-icon {
        height: 2.5rem;
        width: 2.5rem;
    }

    .header .header-icon .icon::before {
        font-size: 2rem;
    }

    .header .scattered-words-2 .words:nth-child(1),
    .header .scattered-words-3 .words:nth-child(1) {
        font-size: 1.25rem;
        left: 5.9375rem;
    }

    .header .scattered-words-5 .words {
        font-size: 1rem;
    }

    .header .scattered-words-5 .words:nth-child(1) {
        left: 22%;
        top: 39%;
    }

    .header .scattered-words-5 .words:nth-child(2) {
        left: 27.5%;
        top: 69%;
    }

    .header .scattered-words-5 .words:nth-child(3) {
        left: 32%;
        top: 8%;
    }

    .header .scattered-words-5 .words:nth-child(4) {
        left: 50.7%;
        top: 62%;
    }

    .header .scattered-words-5 .words:nth-child(5) {
        left: 63.8%;
        top: 17%;
    }

}
